<div class="infra-num-card">
  <h2 class="fr-h4">Vous n'avez pas de compte ?</h2>
  <dsfr-button
    label="Créer un compte"
    title="Allez à la page d'inscription"
    [size]="buttonSize.MEDIUM"
    [htmlType]="buttonHtmlType.BUTTON"
    [type]="buttonType.SECONDARY"
    (click)="goToSignUpPage()">
  </dsfr-button>
</div>

<div class="infra-num-card">
  <h2 class="fr-h4">Connexion à {{ appName }}</h2>
  <form
    class="credentials-form"
    [formGroup]="loginForm"
    (ngSubmit)="onSubmit()">
    <dsfr-input
      label="Adresse électronique"
      name="email"
      id="email"
      class="fr-mb-3w"
      formControlName="email"
      [hasFailed]="
        (loginForm.get('email').dirty && !loginForm.get('email').valid) ||
        loginFormError
      "
      [failureMessage]="failureMessage"
      hint="Format attendu : nom@domaine.fr">
    </dsfr-input>
    <dsfr-password
      label="Mot de passe"
      id="password"
      forgotPasswordLink="/oubli-mdp"
      type="login"
      formControlName="password">
    </dsfr-password>
    <dsfr-input
      style="display: none"
      label="honey"
      name="honey"
      id="honey"
      formControlName="honey">
    </dsfr-input>
    <dsfr-button
      class="fr-mt-3w"
      label="Se connecter"
      [size]="buttonSize.MEDIUM"
      [htmlType]="buttonHtmlType.SUBMIT"
      [disabled]="!loginForm.valid">
    </dsfr-button>
  </form>
</div>
